1. MiniPOS Invoice API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
        POST
      • New Sales Invoice - Basic
        POST
      • New Refund Invoice - Basic
        POST
      • New Sales Invoice - Advanced
        POST
      • New Sales Invoice + Slip after payment
        POST
      • New Non fiscal slip
        POST
      • Get Invoice List
        GET
      • Get Invoice by ID
        GET
  • CRMserver
    • MiniPOS Products API
      • GET Products List
      • GET Product by ID
      • DELETE Product by ID
      • Change Product by ID
      • Create new Product Basic
      • Create new Product Advanced
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
      • GET receipts
  1. MiniPOS Invoice API

Get Invoice by ID

GET
/api/invoice/1

Request

None

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/invoice/1'
Response Response Example
{
    "id": 1,
    "mode": 1,
    "station": null,
    "invoice_no": "SALES_INVOICE_1",
    "discount": 0,
    "discount_type": null,
    "created_at": "2026-02-17T16:50:13.428620",
    "updated_at": "2026-02-17T16:51:32.560665",
    "printed_at": "2026-02-17T16:50:36.283855",
    "print_station": 1,
    "print_pos_id": "01",
    "print_chassis_id": "0",
    "check_num": "673",
    "total_sum": 34.59,
    "changed_sum": 0,
    "status": 30,
    "comment": null,
    "keep_drawer_closed": false,
    "print_paper_receipt": null,
    "is_auto_open": false,
    "report": null,
    "common_id": 95,
    "synchronized_at": "2026-02-17T16:51:32.560665",
    "info": {},
    "status_name": "Done",
    "station_group": "1",
    "rows": [
        {
            "id": 1,
            "invoice": 1,
            "code": "0",
            "text": "Product 1",
            "quantity": 1,
            "maxquantity": 0,
            "init_quantity": 1,
            "price": 2.34,
            "is_free_price": false,
            "is_weight": false,
            "tax": 0,
            "fiscal_section": 1,
            "fiscal_section_name": "Nodaļa 1",
            "discount": 0,
            "discount_type": null,
            "payload": null,
            "info": {},
            "tax_rate": 21
        },
        {
            "id": 2,
            "invoice": 1,
            "code": "0",
            "text": "Product 2",
            "quantity": 15,
            "maxquantity": 0,
            "init_quantity": 15,
            "price": 2.15,
            "is_free_price": false,
            "is_weight": false,
            "tax": 0,
            "fiscal_section": 1,
            "fiscal_section_name": "Nodaļa 1",
            "discount": 0,
            "discount_type": null,
            "payload": null,
            "info": {},
            "tax_rate": 21
        }
    ],
    "payments": [],
    "receipts": [
        {
            "id": 1,
            "mode": 2,
            "customer_id": null,
            "document_id": "673",
            "invoice_id": 1,
            "station_id": 1,
            "station_name": "POS1",
            "cash_shift_id": 1,
            "cashier_id": null,
            "cashier_name": "Manager",
            "state": 1,
            "start_time": null,
            "print_time": "2026-02-17T16:50:37.331166",
            "neto_amount": 28.59,
            "bruto_amount": 34.59,
            "changed_amount": 0,
            "tax_amount": 6,
            "discount": 0,
            "discount_type": null,
            "discount_amount": 0,
            "parent_station": null,
            "parent_document_id": null,
            "refunded_at": null,
            "rows": [
                {
                    "id": 1,
                    "receipt_id": 1,
                    "product_id": 1,
                    "product_name": "Product 1",
                    "product_code": "0",
                    "barcode": null,
                    "category_id": null,
                    "category_name": null,
                    "price": 2.34,
                    "tax_id": 0,
                    "tax_rate": 21,
                    "discount": 0,
                    "discount_type": null,
                    "discount_amount": 0,
                    "quantity": 1,
                    "amount": 2.34,
                    "max_quantity": 1,
                    "max_amount": 2.34,
                    "fiscal_section_id": 1
                },
                {
                    "id": 2,
                    "receipt_id": 1,
                    "product_id": 2,
                    "product_name": "Product 2",
                    "product_code": "0",
                    "barcode": null,
                    "category_id": null,
                    "category_name": null,
                    "price": 2.15,
                    "tax_id": 0,
                    "tax_rate": 21,
                    "discount": 0,
                    "discount_type": null,
                    "discount_amount": 0,
                    "quantity": 15,
                    "amount": 32.25,
                    "max_quantity": 15,
                    "max_amount": 32.25,
                    "fiscal_section_id": 1
                }
            ],
            "payments": [
                {
                    "id": 1,
                    "receipt_id": 1,
                    "method_id": 1,
                    "method_name": "Skaidrā nauda",
                    "amount": 34.59,
                    "registered_at": "2026-02-17T16:50:33.799777",
                    "request_id": null,
                    "transaction_id": null,
                    "psp_reference": null,
                    "poiid": null,
                    "sale_id": null,
                    "card_no": null,
                    "payment_info": null
                }
            ]
        }
    ]
}
Modified at 2026-04-15 12:52:15
Previous
Get Invoice List
Next
CRMserver
Built with